mbedtls_oid_descriptor_t Struct Reference

Base OID descriptor structure. More...

`#include <oid.h>`

## Data Fields

const char * | asn1
size_t | asn1_len
const char * | name
const char * | description

## Detailed Description

Base OID descriptor structure.

Definition at line 382 of file oid.h.

## Field Documentation

const char* mbedtls_oid_descriptor_t::asn1

OID ASN.1 representation

Definition at line 383 of file oid.h.

size_t mbedtls_oid_descriptor_t::asn1_len

length of asn1

Definition at line 384 of file oid.h.

const char* mbedtls_oid_descriptor_t::description

human friendly description

Definition at line 386 of file oid.h.

const char* mbedtls_oid_descriptor_t::name

official name (e.g. from RFC)

Definition at line 385 of file oid.h.

The documentation for this struct was generated from the following file:

- oid.h